aboutsummaryrefslogtreecommitdiffstats
path: root/testing/buildbot-slave/buildslave.initd
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2013-10-09 07:37:14 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2013-10-09 07:38:38 +0000
commit839bdebd48f32e993bc8d1ff1ceb826a9ee7039d (patch)
treefcbad821918d621b9ef409b91b52fe7e8148ee56 /testing/buildbot-slave/buildslave.initd
parente980ad2e29a93652505f0c6c04c9e12538b43392 (diff)
downloadaports-839bdebd48f32e993bc8d1ff1ceb826a9ee7039d.tar.bz2
aports-839bdebd48f32e993bc8d1ff1ceb826a9ee7039d.tar.xz
testing/buildbot-slave: new aport
Diffstat (limited to 'testing/buildbot-slave/buildslave.initd')
-rw-r--r--testing/buildbot-slave/buildslave.initd48
1 files changed, 48 insertions, 0 deletions
diff --git a/testing/buildbot-slave/buildslave.initd b/testing/buildbot-slave/buildslave.initd
new file mode 100644
index 0000000000..17e22abdc7
--- /dev/null
+++ b/testing/buildbot-slave/buildslave.initd
@@ -0,0 +1,48 @@
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ need net
+}
+
+checkconfig() {
+ if [ -z "${BASEDIR}" ]; then
+ eerror "BASEDIR not set"
+ return 1
+ fi
+ if [ -z "${USERNAME}" ]; then
+ eerror "USERNAME not set"
+ return 1
+ fi
+ if [ ! -d "${BASEDIR}" ]; then
+ eerror "${BASEDIR} is not a directory"
+ return 1
+ fi
+ if [ ! -e "${BASEDIR}/buildbot.tac" ]; then
+ eerror "${BASEDIR} does not contain buildbot.tac"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting buildslave in ${BASEDIR}"
+ # We set HOME here to make something valid show up in the env of child
+ # processes spawned by the buildslave.
+ start-stop-daemon --start -u "${USERNAME}" \
+ --pidfile "${BASEDIR}/buildslave.pid" \
+ --env HOME="${BASEDIR}" \
+ --exec /usr/bin/python -- /usr/bin/twistd \
+ --no_save \
+ --logfile="${BASEDIR}/twistd.log" \
+ --pidfile="${BASEDIR}/buildslave.pid" \
+ --python="${BASEDIR}/buildbot.tac"
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping buildslave in ${BASEDIR}"
+ start-stop-daemon --stop --pidfile "${BASEDIR}/buildslave.pid"
+ eend $?
+}